Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenContributionManager

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  GenContextMenu, GenMenuManager, GenToolBarManager

All Known Implementing Classes:
  GenContextMenuImpl, GenContributionManagerImpl, GenMenuManagerImpl, GenToolBarManagerImpl

    public interface GenContributionManager

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gen Contribution Manager'. Group of UI contribution items

The following features are supported:

- `ID`
- `Items`
- `Editor Gen`

See Also:
  `GMFGenPackage.getGenContributionManager()`
** Generated **
Model:
  abstract="true"

Method Summary
`GenEditorGenerator` `getEditorGen()` Returns the value of the 'Editor Gen' reference
`java.lang.String` `getID()` Returns the value of the 'ID' attribute
`org.eclipse.emf.common.util.EList<GenContributionItem>` `getItems()` Returns the value of the 'Items' containment reference list.
`void` `setID(java.lang.String value)` Sets the value of the '`ID`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getID

    java.lang.String getID()

  Returns the value of the 'ID' attribute.

  If the meaning of the 'ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'ID' attribute.
  See Also:
    `setID(String)`, `GMFGenPackage.getGenContributionManager_ID()`
  ** Generated **
  Model:

### setID

    void setID(java.lang.String value)

  Sets the value of the '`ID`' attribute.

  Parameters:
    `value` - the new value of the 'ID' attribute.
  See Also:
    `getID()`
  ** Generated **

### getItems

    org.eclipse.emf.common.util.EList<GenContributionItem> getItems()

  Returns the value of the 'Items' containment reference list. The list contents are of type `GenContributionItem`. It is bidirectional and its opposite is '`Owner`'.

  If the meaning of the 'Items' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Items' containment reference list.
  See Also:
    `GMFGenPackage.getGenContributionManager_Items()`, `GenContributionItem.getOwner()`
  ** Generated **
  Model:
    opposite="owner" containment="true"

### getEditorGen

    GenEditorGenerator getEditorGen()

  Returns the value of the 'Editor Gen' reference.

  If the meaning of the 'Editor Gen' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Editor Gen' reference.
  See Also:
    `GMFGenPackage.getGenContributionManager_EditorGen()`
  ** Generated **
  Model:
    resolveProxies="false" required="true" transient="true" changeable="false" volatile="true" derived="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.